%global version 24.3.4

Name:       mesa-freeworld-metapackage
Version:    %version
Release:    1%{?dist}
Summary:    metapackage for RPM Fusion mesa drivers 
License:    MIT
BuildArch:  noarch

Requires: mesa-va-drivers-freeworld = %version
Requires: mesa-vdpau-drivers-freeworld = %version

Conflicts: mesa-dri-drivers < %version
Conflicts: mesa-dri-drivers > %version
Conflicts: mesa-filesystem < %version
Conflicts: mesa-filesystem > %version
Conflicts: mesa-libEGL < %version
Conflicts: mesa-libEGL > %version
Conflicts: mesa-libGL < %version
Conflicts: mesa-libGL > %version
Conflicts: mesa-libOpenCL < %version
Conflicts: mesa-libOpenCL > %version
Conflicts: mesa-libgbm < %version
Conflicts: mesa-libgbm > %version
Conflicts: mesa-libglapi < %version
Conflicts: mesa-libglapi > %version
Conflicts: mesa-libxatracker < %version
Conflicts: mesa-libxatracker > %version
Conflicts: mesa-vulkan-drivers < %version
Conflicts: mesa-vulkan-drivers > %version
Conflicts: mesa-libOSMesa < %version
Conflicts: mesa-libOSMesa > %version
Conflicts: mesa-libd3d < %version
Conflicts: mesa-libd3d > %version
Conflicts: mesa-omx-drivers < %version
Conflicts: mesa-omx-drivers > %version
Conflicts: mesa-va-drivers
Conflicts: mesa-vdpau-drivers

%description
Depends on mesa-va-drivers-freeworld and mesa-vdpau-drivers-freeworld %version.
It tries to prevent all partial mesa-updates caused by RPM Fusion being out of sync.

%prep
# nothing
%build
# nothing
%install
# nothing
%files
# nothing

%changelog
* Fri Jan 31 2025 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.3.4

* Wed Jan 15 2025 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.3.3

* Sat Jan 04 2025 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.3.2

* Mon Dec 02 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.2.8

* Sun Nov 17 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.2.7

* Mon Nov 04 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.2.6

* Sat Nov 02 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.2.5

* Sa Nov 02 2024 blued_gear <chocolatecakecodes@disroot.org>
- init for fedora 41
